Bug 123707 - irq 11: nobody cared! SMP-kernel doesn't boot - ACPI SCI
irq 11: nobody cared! SMP-kernel doesn't boot - ACPI SCI
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 03:10 EDT by Magnus Johansson
Modified: 2015-01-04 17:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:37:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from dmesg and acpidmp in two separate files. (16.60 KB, application/octet-stream)
2004-06-04 13:53 EDT, Magnus Johansson
no flags Details
aathan-1 dmesg and /var/log/messages (89.21 KB, text/plain)
2004-06-28 09:37 EDT, Andrew Athan
no flags Details

  None (edit)
Description Magnus Johansson 2004-05-20 03:10:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; FreeBSD i386; en-US; rv:1.6)
Gecko/20040215 Firefox/0.8

Description of problem:
I get the following message on my 2x933MHz PIII with 1.5 GB of memory.
Tyan motherboard.

ACPI: S3 and PAE do not like each other for now, S3 disabled.
audit(1084961846.347:0): initialized
irq 11: nobody cared! (screaming interrupt?)
handlers:
[<021aed4b>] (acpi_irq+0x0/0x14)
Disabling IRQ #11
Red Hat nash version 3.5.22 starting



After the above messages, the machine just hangs. UP-kernel boots with
no problems.

Version-Release number of selected component (if applicable):
kernel-2.6-5-1.358smp

How reproducible:
Always

Steps to Reproduce:
1. Push the Power On button
2. In the GRUB menu, select the SMP-kernel
3. Wait
    

Additional info:
Comment 1 Alan Cox 2004-05-21 19:23:32 EDT
Does "acpi=off" help here
Comment 2 Len Brown 2004-05-22 01:09:02 EDT
any chance you can boot the latest kernel.org 2.6 (SMP) kernel on this box 
with ACPI enabled and capture the dmesg and /proc/interrupts? 
That kernel has some additional BIOS workarounds and debugging 
output. 
 
Comment 3 Magnus Johansson 2004-05-22 02:44:04 EDT
acpi=off is one work around. It boots up OK. The only thing that
doesn't work is the automatic power off during shutdown.

I'll give 2.6.6 a try in a few days.
Comment 4 Magnus Johansson 2004-05-25 12:31:28 EDT
I tried Red Hat kernel 2.6.6-1.381smp and the result is the same, with
nearly identical messages on the screen. Just the numbers inside
audit(), and the Hex-number are different.
Comment 5 Luming Yu 2004-05-25 21:44:29 EDT
Please try the following option:
acpi_sci= { level | edge | high | low }

Comment 6 Magnus Johansson 2004-05-26 14:29:10 EDT
The 2.6.6-1.381smp kernel works with the option acpi_sci=low . Using
any of the three other option doesn't work, i.e. the kernel fails to boot.
Comment 7 Tim Lovorn 2004-05-26 15:31:05 EDT
I am seeing this same thing on an IBM x255 with 3 Xeon processors in
it and 2GB of RAM.  

It will boot, but there's a long delay after the "Red Hat Nnash
version 3.5.22 starting" message.

I get the ACPI...S3 and PAE message followed by logs of "Unsupported
Server works chipset" messages too.
Comment 8 Alan Cox 2004-05-26 16:14:23 EDT
Tim your bug may be unrelated, but see if the boot option i8042.noaux
or i8042.nomux helps in your case, and if you have millions if irq
12's occuring (/proc/interrupts)

Comment 9 Tim Lovorn 2004-05-27 16:15:45 EDT
Still happens when I tried each of those boot settings.   And, looking
in /proc/interrupts I didn't see any excessive interrupts.

Getting the messages in this thread plus a bit more:

ACPI: S3 and PAE do not like each other for now, S3 disabled.
audit(1085670795.4294967245:0):initialized
agpgart: Unsupported Serverworks chipset Device id: 0011  (this is
repeated 4 lines)
agpgart: Unsupported Serverworks chipset Device id: 0201
agpgart: Unsupported Serverworks chipset Device id: 0010  (this is
repeated 4 lines)
Red Hat nash version 3.5.22 starting
....here's where it hangs for a couple minutes....

For what it's worth FC1 worked just fine....
Comment 10 Len Brown 2004-06-04 00:43:56 EDT
The uni-processor kernel may be working because it is running in PIC-mode, 
while the SMP kernel always runs in IOAPIC mode. 
 
If this is the case, then we'd expect the SMP kernel booted with "maxcpus=1" 
to fail just like the true SMP kernel.  And if you add the additional "noapic" 
option, then the SMP kernel should boot with 1 processor in PIC mode 
(with ACPI enabled). 
 
Please attach the full dmesg from a boot with ACPI enabled, and 
also attach the output from acpidmp, available in /usr/sbin/, or in pmtools: 
http://ftp.kernel.org/pub/linux/kernel/people/lenb/acpi/utils/ 
 
Comment 11 Magnus Johansson 2004-06-04 13:53:10 EDT
Created attachment 100875 [details]
Output from dmesg and acpidmp in two separate files.

Kernel booted with additional arguments: maxcpus=1 noapic

I should also clarify that when I tested earlier with the acpi_sci=low option,
the kernel just booted, e.g. eth0 was not working properly.
Comment 12 Jirka Pech 2004-06-12 07:39:03 EDT
I have same problems on HP LH3 server. The connection between me and 
Magnus is 2.6 FC2 kernel (also tried 2.6.6-1.424), Broadcom gigabit 
NIC and (maybe) megaraid scsi driver. Always reproducible.
Comment 13 Ivo 2004-06-15 04:10:49 EDT
I have a similar problem on dual PIII 1GHz, 1.5 GB RAM, MSI motherboard. 
When running the SMP kernel within a few hours I'll lose IRQ 10 or
177, both with 2.6-5-1.358smp and 2.6.6-1.427smp :

irq 10: nobody cared! (screaming interrupt?)
 [<0210857a>] __report_bad_irq+0x2b/0x67
 [<02108612>] note_interrupt+0x43/0x66
 [<02108864>] do_IRQ+0x134/0x19a
 [<02105018>] default_idle+0x0/0x2c
 [<022a007b>] unix_dgram_disconnected+0x31/0x50
 [<02105041>] default_idle+0x29/0x2c
 [<0210509d>] cpu_idle+0x26/0x3b
 [<0235d779>] start_kernel+0x197/0x199

handlers: 
[<02231fc9>] (usb_hcd_irq+0x0/0x4b)
[<02231fc9>] (usb_hcd_irq+0x0/0x4b)
Disabling IRQ #10

or

APIC error on CPU1: 40(40)
APIC error on CPU1: 40(40)
irq 177: nobody cared! (screaming interrupt?)
 [<0210857a>] __report_bad_irq+0x2b/0x67
 [<02108612>] note_interrupt+0x43/0x66
 [<02108864>] do_IRQ+0x134/0x19a
 [<02105018>] default_idle+0x0/0x2c
 [<02105041>] default_idle+0x29/0x2c
 [<0210509d>] cpu_idle+0x26/0x3b
 [<02120d8d>] __call_console_drivers+0x36/0x42
 [<02120ea7>] call_console_drivers+0xbe/0xe3

handlers:
[<02211c46>] (ide_intr+0x0/0x128)
[<02211c46>] (ide_intr+0x0/0x128)
Disabling IRQ #177
hde: lost interrupt

cat /proc/interrupts
           CPU0       CPU1       
  0:   24751144   24769210    IO-APIC-edge  timer
  1:       1035        956    IO-APIC-edge  i8042
  7:          0          0   IO-APIC-level  acpi
  8:          1          0    IO-APIC-edge  rtc
 10:      59654      40348   IO-APIC-level  uhci_hcd, uhci_hcd
 12:         28         31    IO-APIC-edge  i8042
 14:      72619      73632    IO-APIC-edge  ide0
 15:        235        252    IO-APIC-edge  ide1
177:    9545463   11074129   IO-APIC-level  ide2, ide3, Ensoniq AudioPCI
193:    5060703        413   IO-APIC-level  eth0, mga@PCI:1:0:0
NMI:          7          0 
LOC:   49518574   49522769 
ERR:      19591
MIS:          0


After losing IRQ 10, my USB mouse won't work any more. 
When booting with noapic the USB subsystem is nonfunctional.
UP kernel runs without problems.

I also often see
Uhhuh. NMI received for unknown reason 3d on CPU 0.
messages (reason is always 2d or 3d). 
These unknown NMIs also happened in FC1 and RH9. 
Comment 14 Ivo 2004-06-19 04:18:30 EDT
After much unsuccessful experimentation with bios settings and kernel
parameters, I've found a simple workaround:
using the  noirqdebug  parameter will quitly ignore the errors and
everything works fine, as it did with 2.4 und 2.2 series kernels.
Comment 15 Len Brown 2004-06-21 22:11:24 EDT
Magnus, 
your system is an VIA Apollo Pro 133. 
We fixed a failure on these recently. 
Perhaps you could try out the fix: 
http://bugzilla.kernel.org/show_bug.cgi?id=2243 
 
Jirka, 
You need to supply some information about your system 
if there is to be any chance to debug it.  Did one release 
work and another failed.  how about the diff between 
good and bad dmesg; good and bad /proc/interrupts? 
 
Ivo, 
I'd be interested to know if *any* release is reliable on your MSI. 
The APIC errors are bad hardware. 
 
Comment 16 Andrew Athan 2004-06-28 09:36:31 EDT
I am seeing similar messages on a Dell 2 CPU Xeon rackmount 2500
series.  Here is a dump of dmesg and a tail of /var/log/messages (see
attachment "aathan-1".  Note that this is via kernel in Fedora Core 2
Final. 
Comment 17 Andrew Athan 2004-06-28 09:37:36 EDT
Created attachment 101465 [details]
aathan-1 dmesg and /var/log/messages
Comment 18 Ivo 2004-06-30 08:09:31 EDT
Len,
I have not yet tried a vanilla 2.6 kernel, but the machine ran stably
with many different 2.2 and 2.4 kernels, as well as in uniprocessor
mode with the fedora kernels (except for the "NMI received for unknown
reason" messages).

My board is an Apollo Pro133, so I'll also try the patch you
recommended for Magnus.
Comment 19 Ivo 2004-07-02 05:40:55 EDT
The APIC and irq error on my machine occur also in the vanilla 2.6.7
kernel, even with Len's patch. If it's a hardware problem, why do 2.4
kernel run stably, how can I identify the faulty component? 
Comment 20 jehan procaccia 2004-08-05 10:08:48 EDT
I also get the message "kernel: irq 11: nobody cared! (screaming
interrupt?)" but in my case not an smp kernel !

here's my problem, e100 ethernet board is beeing disabled anytime a
user quit his X session .

Error Message:
Message from syslogd@b04-07 at Wed Aug  4 18:32:47 2004 ...
b04-07 kernel: Disabling IRQ #11
Aug  4 18:32:47 b04-07 kernel: irq 11: nobody cared! (screaming
interrupt?)
Aug  4 18:32:47 b04-07 kernel: Stack pointer is garbage, not printing
trace
Aug  4 18:32:47 b04-07 kernel: handlers:
Aug  4 18:32:47 b04-07 kernel: [<12c57c7b>] (e100_intr+0x0/0xe6 [e100])
Aug  4 18:32:47 b04-07 kernel: Disabling IRQ #11
Aug  4 18:32:47 b04-07 kernel: agpgart: Found an AGP 2.0 compliant
device at 0000:00:00.0.
Aug  4 18:32:47 b04-07 kernel: agpgart: Putting AGP V2 device at
0000:00:00.0 into 1x mode
Aug  4 18:32:47 b04-07 kernel: agpgart: Putting AGP V2 device at
0000:01:00.0 into 1x mode 

Kernel
Linux b04-07.int-evry.fr 2.6.6-1.435.2.3 #1 Thu Jul 1 08:25:29 EDT
2004 i686 i686 i386 GNU/Linux

Fedora Core release 2 (Tettnang)

[root@b04-07 root]# cat /proc/interrupts | grep 11
11:     200000          XT-PIC  r128@PCI:1:0:0, eth0

(there was also usb_uhci or something ... on irq 11 but I disabled it
in bios just to test )

I've got 3 dozens of labs PCs in that case, it is very preocupating as  
students will come next mounth to work on these PCs :-( 
I already test with starting the kernel with acpi=off and noirqdebug
as mentioned above but with no success. The problem reside in Kernel
itself or in Fedora's binaries ? It worked fine in Redhat 9 . Let me
know what can I do to investigate .

Thanks 
Comment 21 matthew gatto 2004-08-07 11:01:59 EDT
Yeah, I'm seeing the same thing too (I think) here on a uniprocessor
setup  with the new FC2 2.6.7 kernel. It's weird though, because,
between Gentoo and FC2, I've used all of the different 2.6 kernels on
this system, and this is the first time I've experienced this problem.

My report is in bug 129366.
Comment 22 Simon Christensen 2004-08-17 08:54:27 EDT
I was getting a similar error. 'Disabling IRQ 11' was appearing every
second or so during installation after the kernel had booted (albeit
with several messages similar to that reported in this report).
Evidently the kernel was being forced to service each of these
interrupts from IRQ 11, which eventually led to the system hanging
when it tried to start Anaconda. 

After trying several other distributions, I found that only Mandrake
10 managed to get further than this point, but it was choppy, slow to
boot and unresponsive, and only the simplest applications would
completely load. In Mandrake's case it was IRQ 18 that was appearing
rather than 11, but it was essentially the same error.

Anyway, to cut a long story short - did some BIOS fiddling, most
notable of which was switching my IDE function from 'Enhanced' (for
'Native' OSes eg WinXP, Win2k according to the BIOS) to 'Legacy'.
Since then I've had no problems at all.

While this bug is not exactly the same, it's quite possible that it is
related to this BIOS setting.
Comment 23 Dave Jones 2004-11-18 22:50:48 EST
how are things looking with the latest FC2/FC3 kernels ?
 
Comment 24 Magnus Johansson 2004-11-19 01:57:44 EST
I've been traveling a lot lately. Hopefully I will be able to test the
latest FC2 kernel this weekend, then I'm off again.
Comment 25 Kjell.Randa@broadpark.no 2004-11-28 05:20:22 EST
I just upgraded to to the latest FC2 kernel 2.6.9-1.6_FC2smp and after
running for about 12 hours i found the following messages in
/var/log/messages. My system is a dual P3 866MHz on a MSI main board.
I have seen similar messages on a few 2.6 kernels from FC but never on
2.4 kernels. After this message the machine apparently runs ok.

Nov 27 07:30:28 eagle kernel: irq 11: nobody cared! (screaming interrupt?)
Nov 27 07:30:28 eagle kernel: irq 11: Please try booting with acpi=off
and report a bug
Nov 27 07:30:28 eagle kernel:  [<02107743>] __report_bad_irq+0x3a/0x77
Nov 27 07:30:28 eagle kernel:  [<021079a8>] note_interrupt+0xe2/0x10d
Nov 27 07:30:28 eagle kernel:  [<02107ba9>] do_IRQ+0xd5/0x130
Nov 27 07:30:28 eagle kernel:  [<3281ab1c>] make_request+0x246/0x2b3
[raid1]
Nov 27 07:30:28 eagle kernel:  [<02107bcc>] do_IRQ+0xf8/0x130
Nov 27 07:30:28 eagle kernel:  [<0211de15>]
autoremove_wake_function+0x0/0x2d
Nov 27 07:30:28 eagle kernel:  [<02214e91>]
generic_make_request+0x18a/0x19a
Nov 27 07:30:28 eagle kernel:  [<021589aa>] bio_clone+0xd/0x7e
Nov 27 07:30:28 eagle kernel:  [<32843294>] __map_bio+0x35/0xb4 [dm_mod]
Nov 27 07:30:28 eagle kernel:  [<32843499>] __clone_and_map+0xc0/0x2c3
[dm_mod]
Nov 27 07:30:28 eagle kernel:  [<32843734>] __split_bio+0x98/0x102
[dm_mod]
Nov 27 07:30:28 eagle kernel:  [<3284383b>] dm_request+0x9d/0xb1 [dm_mod]
Nov 27 07:30:28 eagle kernel:  [<02214e91>]
generic_make_request+0x18a/0x19a
Nov 27 07:30:28 eagle kernel:  [<0211de15>]
autoremove_wake_function+0x0/0x2d
Nov 27 07:30:28 eagle kernel:  [<02214f6b>] submit_bio+0xca/0xd2
Nov 27 07:30:28 eagle kernel:  [<02158bf4>] bio_add_page+0x1a/0x1e
Nov 27 07:30:28 eagle kernel:  [<32a0c189>]
_pagebuf_ioapply+0x213/0x26e [xfs]
Nov 27 07:30:28 eagle kernel:  [<32a0c2c6>]
pagebuf_iorequest+0xe2/0x11a [xfs]
Nov 27 07:30:28 eagle kernel:  [<0211ca97>] default_wake_function+0x0/0xc
Nov 27 07:30:28 eagle kernel:  [<3281a66e>] unplug_slaves+0x71/0x9b
[raid1]
Nov 27 07:30:28 eagle kernel:  [<0211ca97>] default_wake_function+0x0/0xc
Nov 27 07:30:28 eagle kernel:  [<32845517>]
dm_table_unplug_all+0x24/0x2d [dm_mod]
Nov 27 07:30:28 eagle kernel:  [<32a1082c>] xfs_bdstrat_cb+0x35/0x38 [xfs]
Nov 27 07:30:28 eagle kernel:  [<32a0c81e>] pagebuf_daemon+0x134/0x18e
[xfs]
Nov 27 07:30:28 eagle kernel:  [<32a0c6ea>] pagebuf_daemon+0x0/0x18e [xfs]
Nov 27 07:30:28 eagle kernel:  [<021041f1>] kernel_thread_helper+0x5/0xb
Nov 27 07:30:28 eagle kernel: handlers:
Nov 27 07:30:28 eagle kernel: [<021ca622>] (acpi_irq+0x0/0x14)
Nov 27 07:30:28 eagle kernel: [<32ca53a3>]
(snd_via82xx_interrupt+0x0/0xab [snd_via82xx])
Nov 27 07:30:28 eagle kernel: Disabling IRQ #11
Nov 27 07:30:29 eagle kernel: irq 177: nobody cared! (screaming
interrupt?)
Nov 27 07:30:29 eagle kernel: irq 177: Please try booting with
acpi=off and report a bug
Nov 27 07:30:29 eagle kernel:  [<02107743>] __report_bad_irq+0x3a/0x77
Nov 27 07:30:29 eagle kernel:  [<021079a8>] note_interrupt+0xe2/0x10d
Nov 27 07:30:29 eagle kernel:  [<02107ba9>] do_IRQ+0xd5/0x130
Nov 27 07:30:29 eagle kernel:  [<0211b911>] finish_task_switch+0x30/0x66
Nov 27 07:30:29 eagle kernel:  [<022bd9b8>] schedule+0x874/0x8aa
Nov 27 07:30:29 eagle kernel:  [<02107bcc>] do_IRQ+0xf8/0x130
Nov 27 07:30:29 eagle kernel:  [<022bdf08>] schedule_timeout+0xd6/0xf1
Nov 27 07:30:29 eagle kernel:  [<02127145>] process_timeout+0x0/0x5
Nov 27 07:30:29 eagle kernel:  [<0211dcad>] add_wait_queue+0x12/0x30
Nov 27 07:30:29 eagle kernel:  [<021311ed>] futex_wait+0x10c/0x19f
Nov 27 07:30:29 eagle kernel:  [<0211ca97>] default_wake_function+0x0/0xc
Nov 27 07:30:29 eagle kernel:  [<0211ca97>] default_wake_function+0x0/0xc
Nov 27 07:30:29 eagle kernel:  [<021314bb>] do_futex+0x2e/0x5e
Nov 27 07:30:29 eagle kernel:  [<021315b3>] sys_futex+0xc8/0xd7
Nov 27 07:30:29 eagle kernel: handlers:
Nov 27 07:30:29 eagle kernel: [<3293a147>] (ohci_irq_handler+0x0/0x5db
[ohci1394])
Nov 27 07:30:29 eagle kernel: Disabling IRQ #177

demsg gives a lot of messages:
APIC error on CPU0: 40(40)
APIC error on CPU1: 40(40)

cat /proc/interupts
           CPU0       CPU1
  0:   64926715   67365953    IO-APIC-edge  timer
  1:       6625       5999    IO-APIC-edge  i8042
  8:          0          1    IO-APIC-edge  rtc
 10:         22         21   IO-APIC-level  uhci_hcd, uhci_hcd
 11:     105514      94487   IO-APIC-level  acpi, VIA686A
 12:     169187     171150    IO-APIC-edge  i8042
 14:    1304419    1445402    IO-APIC-edge  ide0
 15:      75365      76346    IO-APIC-edge  ide1
169:     419342     449372   IO-APIC-level  ide4, ide5
177:      83116      16884   IO-APIC-level  ohci1394
185:   14063173         29   IO-APIC-level  eth0
193:    2497865    2511913   IO-APIC-level  nvidia
NMI:          0          0
LOC:  132308258  132308341
ERR:       1619
MIS:          0

shows tha both interupt 11 and 117 is still listed.

Comment 26 Magnus Johansson 2004-12-30 12:25:59 EST
I finally had a chance to test FC3 and update it to the latest kernel.
The problem is still there.
Booting the SMP-kernel with ACPI=OFF still works.
Comment 27 Kjell.Randa@broadpark.no 2004-12-31 11:22:46 EST
I see the same in FC3 (2.6.9-1.681_FC3smp #1 SMP Thu Nov 18 15:19:10
EST 2004 i686 i686 i386 GNU/Linux)

From /var/log/messages:
FrDec 29 02:08:41 eagle kernel: irq 11: nobody cared! (screaming
interrupt?)
Dec 29 02:08:41 eagle kernel: irq 11: Please try booting with acpi=off
and report a bug
Dec 29 02:08:41 eagle kernel:  [<021076ba>] __report_bad_irq+0x3a/0x77
Dec 29 02:08:41 eagle kernel:  [<02107931>] note_interrupt+0xea/0x115
Dec 29 02:08:41 eagle kernel:  [<02107b6f>] do_IRQ+0xd5/0x130
Dec 29 02:08:41 eagle kernel: handlers:
Dec 29 02:08:41 eagle kernel: [<021c967f>] (acpi_irq+0x0/0x14)
Dec 29 02:08:41 eagle kernel: [<3290e3a6>]
(snd_via82xx_interrupt+0x0/0xa9 [snd_via82xx])
Dec 29 02:08:41 eagle kernel: Disabling IRQ #11
Dec 29 02:08:44 eagle kernel: irq 177: nobody cared! (screaming
interrupt?)
Dec 29 02:08:44 eagle kernel: irq 177: Please try booting with
acpi=off and report a bug
Dec 29 02:08:44 eagle kernel:  [<021076ba>] __report_bad_irq+0x3a/0x77
Dec 29 02:08:44 eagle kernel:  [<02107931>] note_interrupt+0xea/0x115
Dec 29 02:08:44 eagle kernel:  [<02107b6f>] do_IRQ+0xd5/0x130
Dec 29 02:08:44 eagle kernel: handlers:
Dec 29 02:08:44 eagle kernel: [<32947110>] (ohci_irq_handler+0x0/0x5de
[ohci1394])
Dec 29 02:08:44 eagle kernel: Disabling IRQ #177

Comment 28 Kjell.Randa@broadpark.no 2005-01-08 14:44:25 EST
Same error also on the latest FC3 kernel after approximatey 3.5 hours
of uptime:

uname -a
Linux eagle 2.6.9-1.724_FC3smp #1 SMP Sun Jan 2 15:56:53 EST 2005 i686
i686 i386 GNU/Linux

Jan  8 04:02:45 eagle kernel: irq 11: nobody cared! (screaming interrupt?)
Jan  8 04:02:45 eagle kernel: irq 11: Please try booting with acpi=off
and report a bug
Jan  8 04:02:45 eagle kernel:  [<c0108102>] __report_bad_irq+0x3a/0x77
Jan  8 04:02:45 eagle kernel:  [<c0108379>] note_interrupt+0xea/0x115
Jan  8 04:02:45 eagle kernel:  [<c01085b7>] do_IRQ+0xd5/0x130
Jan  8 04:02:45 eagle kernel:  [<c01066d8>] common_interrupt+0x18/0x20
Jan  8 04:02:45 eagle kernel:  [<c021007b>]
platform_device_register+0xab/0xeb
Jan  8 04:02:45 eagle kernel:  [<f081a646>] unplug_slaves+0x70/0xb8
[raid1]
Jan  8 04:02:45 eagle kernel:  [<f0845410>]
dm_table_unplug_all+0x24/0x2b [dm_mod]
Jan  8 04:02:45 eagle kernel:  [<f0843879>] dm_unplug_all+0x17/0x21
[dm_mod]
Jan  8 04:02:45 eagle kernel:  [<c02137b7>]
blk_backing_dev_unplug+0xf/0x10
Jan  8 04:02:45 eagle kernel:  [<f0af8b04>]
_pagebuf_ioapply+0x288/0x290 [xfs]
Jan  8 04:02:45 eagle kernel:  [<f0af8bee>]
pagebuf_iorequest+0xe2/0x118 [xfs]
Jan  8 04:02:45 eagle kernel:  [<c011d4c8>] default_wake_function+0x0/0xc
Jan  8 04:02:45 eagle kernel:  [<c011d4c8>] default_wake_function+0x0/0xc
Jan  8 04:02:45 eagle kernel:  [<f0af84cf>] pagebuf_rele+0x22/0xb8 [xfs]
Jan  8 04:02:45 eagle kernel:  [<f0afd038>] xfs_bdstrat_cb+0x35/0x38 [xfs]
Jan  8 04:02:45 eagle kernel:  [<f0af5fcd>] xfs_bwrite+0x50/0xa3 [xfs]
Jan  8 04:02:45 eagle kernel:  [<f0aef9df>] xfs_syncsub+0x131/0x235 [xfs]
Jan  8 04:02:45 eagle kernel:  [<c013f6ec>] pdflush+0x0/0x1e
Jan  8 04:02:45 eagle kernel:  [<f0aeefd7>] xfs_sync+0xb/0xd [xfs]
Jan  8 04:02:45 eagle kernel:  [<f0afde7e>] vfs_sync+0x1a/0x1d [xfs]
Jan  8 04:02:45 eagle kernel:  [<f0afd955>]
linvfs_write_super+0x1e/0x24 [xfs]
Jan  8 04:02:45 eagle kernel:  [<c0159507>] sync_supers+0x98/0xc4
Jan  8 04:02:45 eagle kernel:  [<c013ee13>] wb_kupdate+0x21/0xde
Jan  8 04:02:45 eagle kernel:  [<c01085da>] do_IRQ+0xf8/0x130
Jan  8 04:02:45 eagle kernel:  [<c013f658>] __pdflush+0xec/0x180
Jan  8 04:02:45 eagle kernel:  [<c013f706>] pdflush+0x1a/0x1e
Jan  8 04:02:45 eagle kernel:  [<c013edf2>] wb_kupdate+0x0/0xde
Jan  8 04:02:45 eagle kernel:  [<c013f6ec>] pdflush+0x0/0x1e
Jan  8 04:02:45 eagle kernel:  [<c0131181>] kthread+0x73/0x9b
Jan  8 04:02:45 eagle kernel:  [<c013110e>] kthread+0x0/0x9b
Jan  8 04:02:45 eagle kernel:  [<c01041f1>] kernel_thread_helper+0x5/0xb
Jan  8 04:02:45 eagle kernel: handlers:
Jan  8 04:02:45 eagle kernel: [<c01c9fa3>] (acpi_irq+0x0/0x14)
Jan  8 04:02:45 eagle kernel: [<f090f3ac>]
(snd_via82xx_interrupt+0x0/0xa9 [snd_via82xx])
Jan  8 04:02:45 eagle kernel: Disabling IRQ #11
Jan  8 04:02:47 eagle kernel: irq 177: nobody cared! (screaming
interrupt?)
Jan  8 04:02:47 eagle kernel: irq 177: Please try booting with
acpi=off and report a bug
Jan  8 04:02:47 eagle kernel:  [<c0108102>] __report_bad_irq+0x3a/0x77
Jan  8 04:02:47 eagle kernel:  [<c0108379>] note_interrupt+0xea/0x115
Jan  8 04:02:47 eagle kernel:  [<c01085b7>] do_IRQ+0xd5/0x130
Jan  8 04:02:47 eagle kernel:  [<c01066d8>] common_interrupt+0x18/0x20
Jan  8 04:02:47 eagle kernel: handlers:
Jan  8 04:02:47 eagle kernel: [<f0958133>] (ohci_irq_handler+0x0/0x5de
[ohci1394])
Jan  8 04:02:47 eagle kernel: Disabling IRQ #177
Comment 29 Kjell.Randa@broadpark.no 2005-01-16 10:34:20 EST
Just done some testing with the latest FC3 kernel:

[root@eagle ~]# uname -a
Linux eagle 2.6.10-1.741_FC3smp #1 SMP Thu Jan 13 16:53:16 EST 2005
i686 i686 i386 GNU/Linux

This also produces APIC errors and afre a few hours the following
shows up in the message file:

Jan 16 04:13:10 eagle kernel: irq 10: nobody cared (try booting with
the "irqpoll" option.
Jan 16 04:13:10 eagle kernel:  [<c0137349>] __report_bad_irq+0x2b/0x68
Jan 16 04:13:10 eagle kernel:  [<c0137412>] note_interrupt+0x73/0x99
Jan 16 04:13:10 eagle kernel:  [<c0136e4d>] __do_IRQ+0xee/0x11d
Jan 16 04:13:10 eagle kernel:  [<c0105cbe>] do_IRQ+0x62/0x7e
Jan 16 04:13:10 eagle kernel:  =======================
Jan 16 04:13:10 eagle kernel:  [<c010467e>] common_interrupt+0x1a/0x20
Jan 16 04:13:10 eagle kernel:  [<c016de4f>] sync_sb_inodes+0x13b/0x25e
Jan 16 04:13:10 eagle kernel:  [<c013cfac>] pdflush+0x0/0x1e
Jan 16 04:13:10 eagle kernel:  [<c016dffc>] writeback_inodes+0x8a/0xd7
Jan 16 04:13:10 eagle kernel:  [<c013c759>] wb_kupdate+0x7b/0xde
Jan 16 04:13:10 eagle kernel:  [<c013cf18>] __pdflush+0xec/0x180
Jan 16 04:13:10 eagle kernel:  [<c013cfc6>] pdflush+0x1a/0x1e
Jan 16 04:13:11 eagle kernel:  [<c013c6de>] wb_kupdate+0x0/0xde
Jan 16 04:13:11 eagle kernel:  [<c013cfac>] pdflush+0x0/0x1e
Jan 16 04:13:11 eagle kernel:  [<c012e0f5>] kthread+0x73/0x9b
Jan 16 04:13:11 eagle kernel:  [<c012e082>] kthread+0x0/0x9b
Jan 16 04:13:13 eagle kernel:  [<c01021f5>] kernel_thread_helper+0x5/0xb
Jan 16 04:13:13 eagle kernel: handlers:
Jan 16 04:13:13 eagle kernel: [<f090f3a6>]
(snd_via82xx_interrupt+0x0/0xa9 [snd_via82xx])
Jan 16 04:13:13 eagle kernel: Disabling IRQ #10
Jan 16 04:13:26 eagle kernel: irq 169: nobody cared (try booting with
the "irqpoll" option.
Jan 16 04:13:26 eagle kernel:  [<c0137349>] __report_bad_irq+0x2b/0x68
Jan 16 04:13:26 eagle kernel:  [<c0137412>] note_interrupt+0x73/0x99
Jan 16 04:13:26 eagle kernel:  [<c0136e4d>] __do_IRQ+0xee/0x11d
Jan 16 04:13:26 eagle kernel:  [<c0105cbe>] do_IRQ+0x62/0x7e
Jan 16 04:13:26 eagle kernel:  =======================
Jan 16 04:13:26 eagle kernel:  [<c010467e>] common_interrupt+0x1a/0x20
Jan 16 04:13:26 eagle kernel: handlers:
Jan 16 04:13:26 eagle kernel: [<c0230694>] (ide_intr+0x0/0x12e)
Jan 16 04:13:26 eagle kernel: [<c0230694>] (ide_intr+0x0/0x12e)
Jan 16 04:13:26 eagle kernel: Disabling IRQ #169
Jan 16 04:13:31 eagle kernel: irq 169: nobody cared (try booting with
the "irqpoll" option.
Jan 16 04:13:31 eagle kernel:  [<c0137349>] __report_bad_irq+0x2b/0x68
Jan 16 04:13:31 eagle kernel:  [<c0137412>] note_interrupt+0x73/0x99
Jan 16 04:13:31 eagle kernel:  [<c0136e4d>] __do_IRQ+0xee/0x11d
Jan 16 04:13:31 eagle kernel:  [<c0105cbe>] do_IRQ+0x62/0x7e
Jan 16 04:13:31 eagle kernel:  =======================
Jan 16 04:13:31 eagle kernel:  [<c010467e>] common_interrupt+0x1a/0x20
Jan 16 04:13:31 eagle kernel: handlers:
Jan 16 04:13:31 eagle kernel: [<c0230694>] (ide_intr+0x0/0x12e)
Jan 16 04:13:31 eagle kernel: [<c0230694>] (ide_intr+0x0/0x12e)
Jan 16 04:13:31 eagle kernel: Disabling IRQ #169
Jan 16 04:13:40 eagle kernel: irq 169: nobody cared (try booting with
the "irqpoll" option.
Jan 16 04:13:40 eagle kernel:  [<c0137349>] __report_bad_irq+0x2b/0x68
Jan 16 04:13:40 eagle kernel:  [<c0137412>] note_interrupt+0x73/0x99
Jan 16 04:13:40 eagle kernel:  [<c0136e4d>] __do_IRQ+0xee/0x11d
Jan 16 04:13:40 eagle kernel:  [<c0105cbe>] do_IRQ+0x62/0x7e
Jan 16 04:13:40 eagle kernel:  =======================
Jan 16 04:13:40 eagle kernel:  [<c010467e>] common_interrupt+0x1a/0x20
Jan 16 04:13:40 eagle kernel: handlers:
Jan 16 04:13:40 eagle kernel: [<c0230694>] (ide_intr+0x0/0x12e)
Jan 16 04:13:40 eagle kernel: [<c0230694>] (ide_intr+0x0/0x12e)
Jan 16 04:13:40 eagle kernel: Disabling IRQ #169
Jan 16 04:13:40 eagle kernel: irq 169: nobody cared (try booting with
the "irqpoll" option.
Jan 16 04:13:40 eagle kernel:  [<c0137349>] __report_bad_irq+0x2b/0x68
Jan 16 04:13:41 eagle kernel:  [<c0137412>] note_interrupt+0x73/0x99
Jan 16 04:13:41 eagle kernel:  [<c0136e4d>] __do_IRQ+0xee/0x11d
Jan 16 04:13:42 eagle kernel:  [<c0105cbe>] do_IRQ+0x62/0x7e
Jan 16 04:13:42 eagle kernel:  =======================

These messages floods the message file and console.
Booting with irqpoll made the machine hang during boot, the same for
the irqfix option.

No I am back to acpi=off noapic


Comment 30 Dave Jones 2005-04-16 01:37:33 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.